from device.sig_chain.device.connector_interface import Device
from device.sig_chain.device.faker import FakerConnector
from device.sig_chain.device.neo import NeoConnector


class ConnectorFactory():
    def create_connector(self, device: Device):
        if device == Device.FAKER:
            return FakerConnector()
        elif device == Device.NEO:
            return NeoConnector()
